<template>
    <div class="grid gap-8 grid-cols-3 justify-center items-center my-8">
        <div>
            <!-- Showing results text, can be added here later -->
        </div>
        <div class="flex gap-3 items-center">
            <p class="text-sm">{{ translate('global.rows_per_page') }}</p>
            <v-select
                class="!border-none !max-w-24"
                variant="outlined"
                v-model="data.itemsPerPage"
                :items="data.itemsPerPageOptions?.map((option) => option.value)"
                @input="loadItems"
            ></v-select>
        </div>
        <div class="block">
            <v-pagination
                v-model="data.page"
                :length="Math.ceil(data.totalItems / data.itemsPerPage)"
                @input="loadItems"
                density="compact"
            ></v-pagination>
        </div>
    </div>
</template>

<script lang="ts" setup>
import { useI18n } from 'vue-i18n';

const { t: translate } = useI18n();

const props = defineProps({
    data: Object,
    loadItems: Function,
});
</script>
